Name: glukalka
Version: 0.90
Release: alt0.M24.5

Summary: ZX Spectrum emulator
License: GPL
Group: Emulators

Url: http://glukalka.sourceforge.net

Source0: %name-%version-1.tar.bz2
Packager: Motsyo Gennadi <drool@altlinux.ru>
Source1: %name-index.html
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: %name-48x48.xpm

Provides: %_datadir/zx-spectrum

# Automatically added by buildreq on Mon Nov 20 2006
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 lesstif-devel xpm-devel

%description
Glukalka is ZX Spectrum 48K/128K emulator for machines running
GNU/Linux operating system.  Features:
+ it runs under X with Motif GUI (uses Xlib and/or MIT-SHM)
+ Pentagon 128K, Scorpion ZS 256 (ZX Spectrum clones) emulation
+ emulation of AY-3-8910 sound chip, joysticks, etc.
+ support for various data formats (snapshots, tape/disk images, POKEs)
+ capable of using genuine tape recorder!

Some links come useful:
+ http://www.worldofspectrum.org -- general information;
+ ftp://ftp.nvg.unit.no/pub/spectrum/ -- big FTP archive;
+ http://dizzyforever.narod.ru -- Dizzy game.

%prep
%setup -q -n %name
%__install -m644 %SOURCE1 index.html
%__perl -pi -e 's/\r//g' *.[ch]

%build
%configure
%make_build
# prefix=%prefix


%install
%__install -pD -m755 %name %buildroot%_bindir/%name.bin
%__install -D -m 644 %SOURCE2 $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
%__install -D -m 644 %SOURCE4 $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
%__install -D -m 644 %SOURCE3 $RPM_BUILD_ROOT/%_miconsdir/%name.xpm

%__mkdir_p		%buildroot%_datadir/%name
%__cp -a icons		%buildroot%_datadir/%name
%__cp -a resources	%buildroot%_datadir/%name

cat >$RPM_BUILD_ROOT/%_bindir/%name <<EOF
#!/bin/sh -e
cd %_datadir/%name
%_bindir/%name.bin
EOF

chmod +x $RPM_BUILD_ROOT/%_bindir/%name
	
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
%define SECT "Applications/Emulators/"
cat >$RPM_BUILD_ROOT/usr/lib/menu/%name <<EOF
?package(%name): command="%name" section=%SECT \\
	title="Glukalka" longtitle="ZX-Spectrum emulator" \\
	needs="x11" icon="%name.xpm"
EOF

%files
%_bindir/*
%_datadir/%name
%doc doc/* index.html
%_menudir/*
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Nov 20 2006 Motsyo Gennadi <drool@altlinux.ru> 0.90-alt0.M24.5
- fix spec to Backports 2.4 Policy

* Thu Nov 16 2006 Motsyo Gennadi <drool@altlinux.ru> 0.90-alt5.drool
- cleanup spec
- fix filesystem intersections in spec

* Mon Apr 25 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.90-alt4.drool
- update BuildRequires

* Sat Feb 19 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.90-alt3.drool
- Fix SPEC-file to clean $RPM_BUILD_ROOT after building

* Thu Feb 17 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.90-alt2.drool
- Moving directoryes "icons" and "resources" to programm's directory

* Wed Feb 16 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.90-alt1.drool
- Version 0.90

* Sun Feb 13 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.67-alt3.1.drool
- Created in GIMP and added icons glukalka.xpm (16x16, 32x32 and 48x48)
- Added menu-file

* Wed Dec 24 2003 Alexey Tourbin <at@altlinux.ru> 0.67-alt3
- build without configure and Makefile
- static-optimize.patch: static declarations (based on gprof stats)

* Thu Mar 27 2003 Alexey Tourbin <at@altlinux.ru> 0.67-alt2
- m{arch,cpu}=i686: optimization problems discovered; dropped to bare -O2

* Tue Mar 25 2003 Alexey Tourbin <at@altlinux.ru> 0.67-alt1
- initial revision; various minor enhancements (to my mind)
